%define name attr
%define version 1.1.3
%define release 2mdk

%define lib_name_orig libattr
%define lib_major 0
%define lib_name %{lib_name_orig}%{lib_major}

Summary: Utility for managing filesystem extended attributes.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.src.tar.bz2
Copyright: GPL
Group: System/Kernel and hardware
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
URL: http://oss.sgi.com/projects/xfs/

%description
An *experimental* command (attr) to manipulate extended attributes
under Linux.

%package -n %{lib_name}
Summary: Main library for %{lib_name_orig}
Group: System/Libraries
Provides: %{lib_name_orig} = %{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{lib_name_orig}.

%package -n %{lib_name}-devel
Summary: Extended attribute static libraries and headers.
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: %{lib_name_orig}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
attr-devel contains the libraries and header files needed to
develop programs which make use of extended attributes.
This is an *experimental* interface, currently only XFS is
supported, and the interface may change.

You should install attr-devel if you want to develop programs
which make use of extended attributes.  If you install attr-devel,
you'll also want to install attr.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
make install DIST_ROOT=%{buildroot}/
make install-dev DIST_ROOT=%{buildroot}/

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc doc/CHANGES.gz README
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{lib_name}
%defattr(-,root,root)
%doc doc/COPYING
/lib/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc doc/CHANGES.gz doc/COPYING README
/lib/*.so
/lib/*a
%{_libdir}/*.so
%{_libdir}/*a
%{_mandir}/man[23]/*
%{_includedir}/*/*

%changelog
* Fri Sep  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.3-2mdk
- Fix provides.

* Fri Sep  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.3-1mdk
- Rework the .spec.
- Make libs in subpackage.
- 1.1.3.

* Wed May  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1-1mdk
- First attempt.


# end of file
